package com.mycompany.myproject.ui.forms;

import java.io.Serializable;
 
import com.mycompany.myproject.ui.session.SessionBean;
import com.mycompany.myproject.ui.util.FacesContextUtil;

public class ProgressBarBean implements Serializable {
   
    public static final String ENABLE           = "progressEnable";
    public static final String LABEL            = "progressLabel";
    public static final String CURRENT          = "progressCurrent";
    public static final String MAXVALUE         = "progressMaxValue";
    private Boolean            enabled          = false;
    private Long               current;
    private String             label;
    private Integer            maxValue;
    private SessionBean        sessionBean;

    private void init() {
	  if (sessionBean == null) {
	    sessionBean = FacesContextUtil.getSessionBean();
	  }
	  enabled = (Boolean) sessionBean.getSessionObject(ENABLE);
	  enabled = enabled != null ? enabled : false;
	  maxValue = (Integer) sessionBean.getSessionObject(MAXVALUE);
    }

    public Long getCurrentValue() {	
	  init();
	  if (enabled) {
	    current = (Long) sessionBean.getSessionObject(CURRENT);
	    if (current != null) {		 
		  return current;
	    }
	  }
	  if (maxValue == null) {
	    Long returnLong = Long.valueOf(-1);
	    return returnLong;
	  } else {
	    return Long.valueOf(101);
	  }
    }

    public void setEnabled(Boolean enabled) {
	  this.enabled = enabled;
    }

    public Boolean getEnabled() {
	  Boolean returnBoolean = enabled != null ? enabled : false;
	  return returnBoolean;
    }

    public void setLabel(String label) {
	  this.label = label;
    }

    public String getLabel() {
	  label = (String) sessionBean.getSessionObject(LABEL);
	  String returnString = label != null ? label : "";
	  return returnString;
    }

    public void setMaxValue(Integer maxValue) {
	  this.maxValue = maxValue;
    }

    public Integer getMaxValue() {
	  Integer returnInteger = maxValue != null ? maxValue : 0;
	  return returnInteger;
    }

}
